# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: boost-devel boost-filesystem-devel gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         major        16
%define         libname      libyui-mga-gtk%{major}
%define         develname    libyui-mga-gtk-devel

Name:           libyui-mga-gtk
Version:        1.2.0
Release:        alt3_9
Summary:        UI abstraction library - Mageia extension Gtk plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-gtk
Source0:        %{name}-%{version}.tar.gz
Patch0:         00-libyui-gtk-dep.patch

BuildRequires:    pkgconfig(libyui)
BuildRequires:    pkgconfig(libyui-gtk)
BuildRequires:    pkgconfig(libyui-mga)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    ccmake cmake ctest
BuildRequires:    boost-complete
BuildRequires:    ghostscript
BuildRequires:    graphviz
Source44: import.info

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-mga-gtk.so.%{major}
%{_libdir}/yui/libyui-mga-gtk.so.%{major}.*

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       yui-mga-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-gtk development.

%files -n %develname
%{_includedir}/yui/mga/gtk/
%{_libdir}/yui/libyui-mga-gtk.so

#-----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1


%build
%{mageia_cmake} \
       -DCMAKE_SKIP_INSTALL_RPATH:BOOL=no \
       -DCMAKE_INSTALL_RPATH:PATH=%{_libdir}/yui
%mageia_cmake_build

%install
%mageia_cmake_install


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt3_9
- update by mgaimport

* Fri Mar 22 2024 Cronbuild Service <cronbuild@altlinux.org> 1.2.0-alt3_8
- rebuild to get rid of unmets

* Wed Nov 22 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2_8
- update

* Wed Dec 14 2022 Cronbuild Service <cronbuild@altlinux.org> 1.2.0-alt2_3
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_3
- update by mgaimport

* Sun Jan 02 2022 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_2
- update by mgaimport

* Thu Oct 21 2021 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1_1
- update by mgaimport

* Sun Aug 22 2021 Cronbuild Service <cronbuild@altlinux.org> 1.1.0-alt4_5
- rebuild to get rid of unmets

* Sun May 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.1.0-alt3_5
- rebuild to get rid of unmets

* Mon Mar 15 2021 Cronbuild Service <cronbuild@altlinux.org> 1.1.0-alt2_5
- rebuild to get rid of unmets

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_5
- update by mgaimport

* Sun Nov 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_3
- update by mgaimport

* Fri Oct 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_2
- update

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_1
- update by mgaimport

* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt2_6
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt2_5
- update by mgaimport

* Sat Jan 26 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt2_4
- rebuild with libui 9

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_3
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_2
- new version

